import { Invoice } from "../../../saasquatch";
import { InvoiceTableColumn } from "./InvoiceTableColumn";
/**
 * @uiName Invoice Table Date Column
 * @validParents ["sqm-invoice-table"]
 * @exampleGroup Invoices
 * @example Date Column - <sqm-invoice-table-date-column column-title="Date converted" date-shown="dateConverted"></sqm-invoice-table-date-column>
 */
export declare class InvoiceTableDateColumn implements InvoiceTableColumn {
  /**
   * @uiName Column title
   */
  columnTitle: string;
  constructor();
  disconnectedCallback(): void;
  renderCell(data: Invoice, options?: {
    locale: string;
  }): Promise<any>;
  renderLabel(): Promise<string>;
  render(): any;
}
